<template>
  <div>

    <b-container style="margin-top:20px;">
        <b-card  header="Ingresar"
        header-text-variant="white"
        border-variant="primary"
        header-bg-variant="primary"
        header-tag="header"
        footer-tag="footer">
          <b-form @submit="onSubmit" @reset="onReset" v-if="show">
            <b-form-group
              id="input-group-1"
              label="Usuario:"
              label-for="input-1"
              label-size="lg"
            >
              <b-form-input
                id="input-1"
                v-model="form.username"
                type="email"
                required
                placeholder="Correo"
              ></b-form-input>
            </b-form-group>

            <b-form-group
              id="input-group-2"
              label="Clave:"
              label-for="input-2"
              label-size="lg"
            >
              <b-form-input
                id="input-2"
                v-model="form.password"
                type="password"
                required
                placeholder="clave..."
              ></b-form-input>

            </b-form-group>

            <b-button type="submit" variant="primary">Entrar</b-button>
            <b-button type=button variant="danger" @click.prevent="onCancel" >Cancel</b-button>
          </b-form>
        </b-card>
    </b-container>
    
  </div>
</template>

<script>
import swal from 'sweetalert2';
var store = require('store')

export default {
  data() {
    return {
        dismissSecs: 3,
        dismissCountDown: 0,
        showDismissibleAlert: false,
        msg: '',
        form: {
          username: 'ale.spu77@gmail.com',
          password: 'password',
          //food: null,
          //checked: []
        },
        //foods: [{ text: 'Select One', value: null }, 'Carrots', 'Beans', 'Tomatoes', 'Corn'],
        show: true
      }
    },
    methods: {
      onCancel(){
        console.log('CANCEL SUBMIT');
         //this.show = false;
         this.$router.push({ name: 'sadasdasdasdasdas' });
      },
      onSubmit(evt) {
        evt.preventDefault()
        let url = 'http://localhost:8000/api/login';
        axios.post(url,this.form).then(response => {

            localStorage.setItem('access_token',response.data.access_token);
            console.log(typeof response.data.user.name)
            console.log(response.data.user.name)
            console.log(response.data.user.name.toString())
            localStorage.setItem('name',  response.data.user.name.toString() );
            console.log(localStorage.getItem('name') )

            localStorage.setItem('email', response.data.user.email );
            this.$router.push('/')
            swal.fire(
                'Login',
                'correcto',
                'success',
            );
        });

      },
      onReset(evt) {
        evt.preventDefault()
        // Reset our form values
        this.form.email = ''
        this.form.name  = ''
        this.form.food  = null
        this.form.checked = []
        // Trick to reset/clear native browser form validation state
        this.show = false
        this.$nextTick(() => {
          this.show = true
        })
      }
    }
  }
</script>